Subject: Offline Message from Nouf fayez : I placed an order 3 months ago until today
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 14:30:13 -0000

From: Nouf fayez  <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us
Department: 

I placed an order 3 months ago until today i did not receive the shipment ,I’m trying to contact you no replay !!!!
I need the items ,I’m very disappointed
This is so bad the customer care of Mumzworled is so bad no one answer or even ask if i get the material or not 
My order number is :200263131

----
Zopim
https://www.zopim.com